## sfnt2woff-zopfli 1.1.0

=== Makefile ===
FILES=blocksplitter.c cache.c deflate.c gzip_container.c hash.c katajainen.c lz77.c squeeze.c tree.c util.c zlib_container.c zopfli_lib.c woff.c

all: sfnt2woff-zopfli woff2sfnt-zopfli

sfnt2woff-zopfli: sfnt2woff.c $(FILES) Makefile
	$(CC) $(LDFLAGS) $(FILES) $< -o $@ -lz -lm

woff2sfnt-zopfli: woff2sfnt.c $(FILES) Makefile
	$(CC) $(LDFLAGS) $(FILES) $< -o $@ -lz -lm

clean:
	$(RM) -r *.o *.dSYM sfnt2woff-zopfli woff2sfnt-zopfli *.gch *.out

=== debian/changelog ===
sfnt2woff-zopfli (1.1.0-2) unstable; urgency=medium

  * Only link with needed libraries (ld --as-needed)
  * Added stub manpages
  * Minor improvements to d/copyright
  * Added upstream metadata (d/upstream/metadata)

 -- Paride Legovini <pl@ninthfloor.org>  Tue, 20 Feb 2018 11:59:05 +0000

sfnt2woff-zopfli (1.1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #890363)

 -- Paride Legovini <pl@ninthfloor.org>  Wed, 14 Feb 2018 09:50:58 +0100

=== debian/control ===
Source: sfnt2woff-zopfli
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders: Paride Legovini <pl@ninthfloor.org>
Build-Depends: debhelper (>=11), zlib1g-dev
Standards-Version: 4.1.3
Homepage: https://github.com/bramstein/sfnt2woff-zopfli
Vcs-Git: https://salsa.debian.org/fonts-team/sfnt2woff-zopfli.git
Vcs-Browser: https://salsa.debian.org/fonts-team/sfnt2woff-zopfli

Package: sfnt2woff-zopfli
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Create WOFF files with Zopfli compression
 This is a modified version of the sfnt2woff utility that uses Zopfli
 as a compression algorithm instead of zlib. This results in compression
 gains of, on average, 5-8% compared to regular WOFF files. Zopfli
 generates compressed output that is compatible with regular zlib
 compression so the resulting WOFF files can be used everywhere.
 .
 This package provides two tools:
  * sfnt2woff-zopfli: convert OpenType fonts to WOFF
  * woff2sfnt-zopfli: convert WOFF fonts to OpenType

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = sfnt2woff-zopfli
PKGDIR  = $(CURDIR)/debian/$(PACKAGE)
BINDIR  = $(PKGDIR)/usr/bin

# https://wiki.debian.org/HardeningWalkthrough
export DEB_BUILD_MAINT_OPTIONS  = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_install:
	install -D -m 755 sfnt2woff-zopfli $(BINDIR)/sfnt2woff-zopfli
	install -D -m 755 woff2sfnt-zopfli $(BINDIR)/woff2sfnt-zopfli

## sfnt2woff-zopfli 1.3.1

=== Makefile ===
# When using the bundled Zopfli library, this is a list of sources to compile.
# To use an external Zopfli library, override it with the path to a static
# library, or with something like -lzopfli.
ZOPFLI_LIBS=zopfli/blocksplitter.c \
	    zopfli/cache.c \
	    zopfli/deflate.c \
	    zopfli/gzip_container.c \
	    zopfli/hash.c \
	    zopfli/katajainen.c \
	    zopfli/lz77.c \
	    zopfli/squeeze.c \
	    zopfli/tree.c \
	    zopfli/util.c \
	    zopfli/zlib_container.c \
	    zopfli/zopfli_lib.c
# When not using the bundled Zopfli library, this should normally be overridden
# with the empty string to avoid finding bundled Zopfli headers.
ZOPFLI_CFLAGS=-Izopfli

ZLIB_LIBS=-lz
ZLIB_CFLAGS=

FILES=woff.c

all: sfnt2woff-zopfli woff2sfnt-zopfli

sfnt2woff-zopfli: sfnt2woff.c $(FILES) Makefile
	$(CC) $(CPPFLAGS) $(CFLAGS) $(ZOPFLI_CFLAGS) $(ZLIB_CFLAGS) \
		$(FILES) $< -o $@ \
		$(LDFLAGS) $(ZOPFLI_LIBS) $(ZLIB_LIBS) -lm

woff2sfnt-zopfli: woff2sfnt.c $(FILES) Makefile
	$(CC) $(CPPFLAGS) $(CFLAGS) $(ZOPFLI_CFLAGS) $(ZLIB_CFLAGS) \
		$(FILES) $< -o $@ \
		$(LDFLAGS) $(ZOPFLI_LIBS) $(ZLIB_LIBS) -lm

clean:
	$(RM) -r *.o *.dSYM sfnt2woff-zopfli woff2sfnt-zopfli *.gch *.out

=== debian/changelog ===
sfnt2woff-zopfli (1.3.1-2) unstable; urgency=medium

  * Team upload
  * Conform to the tpyes of ZopfliCompress API (Closes: #1091283)

  [ наб ]
  * d/rules: replace override_dh_auto_install with d/sfnt2woff-zopfli.install
  * Provide bin:woff-tools as a transitional package,
    with compat links in sfnt2woff-zopfli
  * Rebase patches from src:woff-tools
  * Fix segfault due to out-of-bounds read (Closes: #785795)
  * Link to system zopfli instead of building embedded copy

 -- Bastian Germann <bage@debian.org>  Tue, 25 Mar 2025 18:04:23 +0100

sfnt2woff-zopfli (1.3.1-1) unstable; urgency=medium

  * New upstream version 1.3.1
  * d/control: bump Standards-Version to 4.6.1, no changes needed
  * d/control: bump the dh compat level to 13 (via debhelper-compat)
  * d/control: set Rules-Requires-Root: no
  * d/rules: stop enforcing -Wl,--as-needed (now done by default)
  * d/p/0001-Patch-Makefile-to-honor-CFLAGS-and-CPPFLAGS: drop, upstreamed
  * d/sfnt2woff-zopfli.manpages: install upstream's manpages.
    - d/sfnt2woff-zopfli.1: remove the maintainer's manpage
    - d/links: drop links file (not needed)
  * d/copyright: update copyright years for debian/*
  * d/copyright: adapt to new directory structure
  * d/u/metadata: fix typo
  * d/gbp.conf: adapt to DEP-14 packaging with git upstream
  * d/gbp.conf: add pristine-tar settings
  * debian/*: wrap-and-sort -bast (cosmetic)
  * debian/*: update Paride's email address (paride@debian.org)

 -- Paride Legovini <paride@debian.org>  Thu, 16 Jun 2022 20:44:14 +0000

=== debian/control ===
Source: sfnt2woff-zopfli
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders:
 Paride Legovini <paride@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 zlib1g-dev,
 libzopfli-dev,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://github.com/bramstein/sfnt2woff-zopfli
Vcs-Git: https://salsa.debian.org/fonts-team/sfnt2woff-zopfli.git
Vcs-Browser: https://salsa.debian.org/fonts-team/sfnt2woff-zopfli

Package: sfnt2woff-zopfli
#Provides: woff-tools  # TODO: uncomment in forky
Architecture: any
Breaks: woff-tools (<< 0:2009.10.04-2+1.3.1-2)
Replaces: woff-tools (<< 0:2009.10.04-2+1.3.1-2)
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Create WOFF files with Zopfli compression
 This is a modified version of the sfnt2woff utility that uses Zopfli
 as a compression algorithm instead of zlib. This results in compression
 gains of, on average, 5-8% compared to regular WOFF files. Zopfli
 generates compressed output that is compatible with regular zlib
 compression so the resulting WOFF files can be used everywhere.
 .
 This package provides two tools:
  * sfnt2woff-zopfli: convert OpenType fonts to WOFF
  * woff2sfnt-zopfli: convert WOFF fonts to OpenType

# TODO: remove in forky
Package: woff-tools
Architecture: all
Depends: ${misc:Depends}, sfnt2woff-zopfli
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f

# https://wiki.debian.org/HardeningWalkthrough
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- ZOPFLI_LIBS=-lzopfli ZOPFLI_CFLAGS=-I/usr/include/zopfli

include /usr/share/dpkg/pkg-info.mk
override_dh_gencontrol:
	dh_gencontrol -pwoff-tools -- -v"0:2009.10.04-2+$(DEB_VERSION)" -VmainBinary=$(DEB_VERSION)
	dh_gencontrol --remaining-packages

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/sfnt2woff-zopfli-$1\.tar\.gz/ \
 https://github.com/bramstein/sfnt2woff-zopfli/tags .*/v?(\d\S+)\.tar\.gz
